raw_notifier_chain_unregister
Prev | Kernel utility functions | Next

## Name

raw_notifier_chain_unregister — Remove notifier from a raw notifier chain

## Synopsis

`int raw_notifier_chain_unregister (` | struct raw_notifier_head * | nh,
| struct notifier_block * | n`)`;

## Arguments

`nh`

  Pointer to head of the raw notifier chain

`n`

  Entry to remove from notifier chain

## Description

Removes a notifier from a raw notifier chain. All locking must be provided by the caller.

Returns zero on success or `-ENOENT` on failure.

Prev | Up | Next
raw_notifier_chain_register | Home | __raw_notifier_call_chain